Skip to main content

Cohorts

A Cohort is a collection of devices that will be given a particular Release of the user's choosing. One will create a Deployment to give a particular Release to a Cohort.

Route Parameters

The Cohort slug should be used whenever referencing a Cohort in an API or URL.

Request Schema

FieldTypeDescription
name
Required
StringName of the Cohort
Example: "Beta Channel"
slugStringSlug of the Cohort
Example: "beta"

Query Parameters

The following parameters can be used to filter Cohorts.

Query ParameterTypeDescription
nameString[]Name of the Cohort
Example: "Beta%20Channel"
slugString[]Slug for the Cohort
Example: "beta"
sortStringSort keys (listed below)
Example: -created_date

Sort Parameters

Sort ParameterTypeDescription
created_dateDateTimeDate the object was created

Response Schema

{
"data": {
"id": 2,
"created_date": "2019-01-19T05:01:13.000000+00:00",
"updated_date": "2019-01-19T05:01:13.000000+00:00",
"name": "Production",
"slug": "prod",
"deployments": [
{
"id": 1,
"type": "normal",
"status": "done",
"deployer": {
"id": 1,
"email": "user@example.com",
"name": "Robert S"
},
"release": {
"id": 2,
"version": "1.2.3",
"revision": "11d95ef20f7a048ce1da1a6891dd3e2f92c89d85"
},
}
],
"count_devices": 24,
}
}